QR 코드
GET https://linktify.net/api/qr-codes/
curl --request GET \
--url 'https://linktify.net/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 상세 | 설명 |
|---|---|---|
| search | 선택 문자열 | 검색 문자열. |
| search_by | 선택 문자열 | 검색 필드. 허용: name. |
| project_id | 선택 정수 | |
| type | 선택 문자열 | 검색 필드. 허용: text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, crypto, paypal, upi, epc, pix. |
| datetime_field | 선택 문자열 | 허용 값: datetime, last_datetime |
| datetime_start | 선택 문자열 | 이 일시부터 필터. 형식 Y-m-d H:i:s. |
| datetime_end | 선택 문자열 | 이 일시까지 필터. 형식 Y-m-d H:i:s. |
| order_by | 선택 문자열 | 정렬 필드. 허용: qr_code_id, datetime, last_datetime, name, type. |
| order_type | 선택 문자열 | 정렬 방향. ASC 오름차순, DESC 내림차순. |
| page | 선택 정수 | 결과를 가져올 페이지 번호. 기본 1. |
| results_per_page | 선택 정수 | 페이지당 개수. 허용: 10, 25, 50, 100, 250, 500, 1000. 기본 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://linktify.net/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-04 00:49:23",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://linktify.net/api/qr-codes?page=1",
"last": "https://linktify.net/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://linktify.net/api/qr-codes?page=1"
}
}
GET https://linktify.net/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://linktify.net/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"datetime": "2026-06-04 00:49:23",
}
}
POST https://linktify.net/api/qr-codes
| 매개변수 | 상세 | 설명 |
|---|---|---|
curl --request POST \
--url 'https://linktify.net/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://linktify.net/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://linktify.net/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://linktify.net/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://linktify.net/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \